Summary: bash range expand library
Name: bash-range-expand
Version: 0.11.1
Release: 1
URL: https://git.inf2.tuwien.ac.at/inf2/sw/bash-range-expand
Source0: %{name}-%{version}.tar.xz
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch
Requires: bash-base >= 0.6.3

%description
A simple library to expand numeric ranges. A range are two numbers
separated by a dash. E.g. "10-12" would expand to "10 11 12". It
supports macros which enables to use names for ranges. Any strings
that are no ranges will be copied. Expansion can be extended with
prefixes and suffixes, which will only be added to ranges or numbers.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{libexec,share/doc/%{name}-%{version}}
cp -a libexec/%{name}.bash $RPM_BUILD_ROOT/usr/libexec/.
cp -a doc/* $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}/.

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/libexec/bash-range-expand.bash
%doc /usr/share/doc/%{name}-%{version}
